import { EventEmitter, OnChanges } from '@angular/core';
import { CattaxCategoryInterface } from '../../../popup.types';
import * as i0 from "@angular/core";
export declare class SingleCattaxCategoryComponent implements OnChanges {
    category: CattaxCategoryInterface;
    selectedItems: any[];
    changeSelected: EventEmitter<any>;
    categoryExtended: EventEmitter<any>;
    cantSelectList: Array<CattaxCategoryInterface>;
    ngOnChanges(changes: any): void;
    calculatePadding(node: any): number;
    toggleVisibility(category: CattaxCategoryInterface): void;
    includeExcludeItem(category: CattaxCategoryInterface, include: any): void;
    addToSelected(category: CattaxCategoryInterface): void;
    extendedCategory(category: any): void;
    extendItems(category: any): void;
    updateSelectedItems(): void;
    isIncludeExcludeNotAvailable(category: any): boolean;
    toggleChildrenRecursive(item: any, hidden: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleCattaxCategoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleCattaxCategoryComponent, "single-cattax-category", never, { "category": "category"; "selectedItems": "selectedItems"; }, { "changeSelected": "changeSelected"; "categoryExtended": "categoryExtended"; }, never, never, false>;
}
